#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k;
    cin >> n >> k;
    vector<int> komedija (n);
    for(int i = 0; i < n; i++){
        cin >> komedija[i];
    }
    if(k == 0){
        long long suma = 0;
        for(int i = 0; i < n; i++){
            suma += komedija[i];
        }
        cout << suma;
    }

    else if(k == 1){
        long long suma = 0;
        for(int i = 0; i < n; i++){
            suma += komedija[i] * (i + 1) + (n - i);
        }
        cout << suma;
    }
    else{
        cout << "CRKOTINA";
    }
}